Method: entitiesBlocklists.create

Full name: projects.locations.instances.entitiesBlocklists.create

Creates a new EntitiesBlocklist. Use this method to prevent specific entities (like malicious IP addresses or domains) from being processed within selected environments. The operation validates that the provided environments are valid and accessible to the user.

HTTP request

POST https://{endpoint}/v1alpha/{parent}/entitiesBlocklists

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent resource where this EntitiesBlocklist will be created. Format: projects/{project}/locations/{location}/instances/{instance}

Request body

The request body contains an instance of EntitiesBlocklist.

Response body

If successful, the response body contains a newly created instance of EntitiesBlocklist.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.entitiesBlocklists.update

For more information, see the IAM documentation.